> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/trading-beta/get-orders",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get orders

> Retrieve a paginated list of orders with optional filtering by account, provider, status, and time range.

Note:These endpoints are currently in beta and might be subject to changes.

If you want to participate and learn more about the Fireblocks Trading, please contact your Fireblocks Customer Success Manager or send an email to CSM@fireblocks.com.

Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.

For detailed information about error codes and troubleshooting, please refer to our [API Error Codes documentation](https://developers.fireblocks.com/reference/api-error-codes).



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /trading/orders
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /trading/orders:
    get:
      tags:
        - Trading (Beta)
      summary: Get orders
      description: >-
        Retrieve a paginated list of orders with optional filtering by account,
        provider, status, and time range.


        Note:These endpoints are currently in beta and might be subject to
        changes.


        If you want to participate and learn more about the Fireblocks Trading,
        please contact your Fireblocks Customer Success Manager or send an email
        to CSM@fireblocks.com.


        Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, Approver,
        Editor, Viewer.


        For detailed information about error codes and troubleshooting, please
        refer to our [API Error Codes
        documentation](https://developers.fireblocks.com/reference/api-error-codes).
      operationId: getOrders
      parameters:
        - name: pageSize
          in: query
          required: true
          description: pageSize for pagination.
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - name: pageCursor
          in: query
          required: false
          schema:
            type: string
            minLength: 1
        - name: order
          in: query
          description: ASC / DESC ordering (default DESC)
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: DESC
        - name: accountId
          in: query
          required: false
          explode: true
          style: form
          description: Filter by accountId.
          schema:
            type: array
            items:
              type: string
              minLength: 1
        - name: providerId
          in: query
          required: false
          explode: true
          style: form
          description: Filter by providerId.
          schema:
            type: array
            items:
              type: string
              minLength: 1
        - name: statuses
          in: query
          required: false
          explode: true
          style: form
          description: Filter by order status.
          schema:
            type: array
            items:
              $ref: '#/components/schemas/OrderStatus'
        - name: startTime
          in: query
          schema:
            type: integer
            minimum: 0
        - name: endTime
          in: query
          schema:
            type: integer
            minimum: 0
        - name: assetConversionType
          in: query
          schema:
            type: string
            enum:
              - DIGITAL_ONLY
              - FIAT
            description: Filter by asset conversion type.
      responses:
        '200':
          description: Orders response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrdersResponse'
        '401':
          description: Unauthorized. Missing / invalid JWT token in Authorization header.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradingErrorSchema'
        '403':
          description: >-
            Forbidden: insufficient permissions, disabled feature, or restricted
            access.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradingErrorSchema'
        '429':
          description: 'Rate limit exceeded: slow down and retry later.'
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradingErrorSchema'
        5XX:
          description: Internal error while processing the request.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TradingErrorSchema'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<GetOrdersResponse>> =
            fireblocks.tradingBeta.getOrders(tradingBetaApiGetOrdersRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<GetOrdersResponse>> response =
            fireblocks.tradingBeta().getOrders(pageSize, pageCursor, order,
            accountId, providerId, statuses, startTime, endTime,
            assetConversionType);
        - lang: Python
          source: >-
            response = fireblocks.trading_beta.get_orders(page_size,
            page_cursor, order, account_id, provider_id, statuses, start_time,
            end_time, asset_conversion_type);
components:
  schemas:
    OrderStatus:
      type: string
      enum:
        - CREATED
        - AWAITING_PAYMENT
        - PENDING_USER_ACTION
        - PROCESSING
        - CANCELED
        - COMPLETED
        - FAILED
      example: PROCESSING
    GetOrdersResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/OrderSummary'
        total:
          type: integer
          description: Total number of orders matching the query.
        next:
          type: string
          description: A cursor for the next page of results, if available.
      required:
        - total
        - data
      example:
        data:
          - id: ord_5f8e2d9c1a7b4e36
            via:
              type: PROVIDER_ACCOUNT
              providerId: prov_8c3f1a4b2d6e9f7c
              accountId: acc_5e9a2d1c4b7f3e8a
            baseAmount: '1000.00'
            quoteAmount: '0.02458'
            baseAssetId: USD
            quoteAssetId: BTC
            status: COMPLETED
            destination:
              type: VAULT_ACCOUNT
              accountId: vault_acc_7b2e5d8f1c4a9e3b
            createdAt: '2024-01-15T10:30:00.000Z'
        total: 1
        next: cursor_next_page_token
    TradingErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
        descriptor:
          type: string
      required:
        - code
        - message
      example:
        code: 900
        message: 'Invalid base amount: must be greater than 0'
    OrderSummary:
      type: object
      properties:
        id:
          type: string
        via:
          $ref: '#/components/schemas/AccessType'
        side:
          $ref: '#/components/schemas/Side'
        baseAmount:
          type: string
        quoteAmount:
          type: string
        baseAssetId:
          type: string
        quoteAssetId:
          type: string
        status:
          $ref: '#/components/schemas/OrderStatus'
        destination:
          $ref: '#/components/schemas/AccountReference'
        source:
          $ref: '#/components/schemas/SettlementSourceAccount'
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - via
        - baseAmount
        - baseAssetId
        - quoteAssetId
        - status
        - destination
        - createdAt
        - side
      example:
        id: ord_5f8e2d9c1a7b4e36
        via:
          type: PROVIDER_ACCOUNT
          providerId: prov_8c3f1a4b2d6e9f7c
          accountId: acc_5e9a2d1c4b7f3e8a
        side: BUY
        baseAmount: '1000.00'
        quoteAmount: '0.02458'
        baseAssetId: USD
        quoteAssetId: BTC
        status: COMPLETED
        destination:
          type: VAULT_ACCOUNT
          accountId: vault_acc_7b2e5d8f1c4a9e3b
        source:
          type: VAULT_ACCOUNT
          accountId: vault_acc_3f7e1d9b2c5a8e4f
        createdAt: '2024-01-15T10:30:00.000Z'
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    AccessType:
      discriminator:
        propertyName: type
        mapping:
          PROVIDER_ACCOUNT:
            $ref: '#/components/schemas/AccountAccess'
          PROVIDER:
            $ref: '#/components/schemas/DirectAccess'
      oneOf:
        - $ref: '#/components/schemas/AccountAccess'
        - $ref: '#/components/schemas/DirectAccess'
    Side:
      type: string
      enum:
        - BUY
        - SELL
      description: 'BUY: receive base / pay quote; SELL: give base / receive quote.'
    AccountReference:
      discriminator:
        propertyName: type
        mapping:
          VAULT_ACCOUNT:
            $ref: '#/components/schemas/InternalReference'
          EXCHANGE_ACCOUNT:
            $ref: '#/components/schemas/InternalReference'
          UNMANAGED_WALLET:
            $ref: '#/components/schemas/InternalReference'
          FIAT_ACCOUNT:
            $ref: '#/components/schemas/InternalReference'
          ONE_TIME_ADDRESS:
            $ref: '#/components/schemas/OneTimeAddressReference'
      oneOf:
        - $ref: '#/components/schemas/InternalReference'
        - $ref: '#/components/schemas/OneTimeAddressReference'
    SettlementSourceAccount:
      discriminator:
        propertyName: type
        mapping:
          VAULT_ACCOUNT:
            $ref: '#/components/schemas/PlatformAccount'
          CONNECTED_ACCOUNT:
            $ref: '#/components/schemas/PlatformAccount'
          FIAT_ACCOUNT:
            $ref: '#/components/schemas/PlatformAccount'
          EXTERNAL:
            $ref: '#/components/schemas/ExternalAccount'
      oneOf:
        - $ref: '#/components/schemas/PlatformAccount'
        - $ref: '#/components/schemas/ExternalAccount'
    AccountAccess:
      type: object
      properties:
        type:
          type: string
          enum:
            - PROVIDER_ACCOUNT
          description: Indicates this uses account-based access
        providerId:
          type: string
          description: The ID of the provider
        accountId:
          type: string
          description: The ID of the account
      required:
        - type
        - accountId
      example:
        type: PROVIDER_ACCOUNT
        providerId: bridge-provider-001
        accountId: acc_9f4e2d8b1c6a5e73
    DirectAccess:
      type: object
      properties:
        type:
          type: string
          enum:
            - PROVIDER
          description: Indicates this uses direct provider access
        providerId:
          type: string
          description: The ID of the provider
      required:
        - type
        - providerId
      example:
        type: PROVIDER
        providerId: uniswap-v3-provider
    InternalReference:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/PeerType'
        accountId:
          type: string
      required:
        - accountId
        - type
      example:
        type: VAULT_ACCOUNT
        accountId: vault_acc_9f3e2d1c4b8a7e5f
    OneTimeAddressReference:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/OneTimeAddressPeerType'
        address:
          type: string
        tag:
          type: string
      required:
        - type
        - address
      example:
        type: ONE_TIME_ADDRESS
        address: 1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa
        tag: destination-memo-123
    PlatformAccount:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/PlatformPeerType'
        accountId:
          type: string
      required:
        - type
        - accountId
      example:
        type: VAULT_ACCOUNT
        accountId: vault_acc_5e9a2d1c4b7f3e8a
    ExternalAccount:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ExternalAccountType'
        senderInformation:
          $ref: '#/components/schemas/ExternalAccountSenderInformation'
      required:
        - type
      example:
        type: EXTERNAL
        senderInformation:
          type: MOBILE_MONEY
          mobilePhoneNumber: '+1234567890'
          provider: MPESA
          email: test@example.com
    PeerType:
      type: string
      enum:
        - VAULT_ACCOUNT
        - EXCHANGE_ACCOUNT
        - UNMANAGED_WALLET
        - FIAT_ACCOUNT
        - CONNECTED_ACCOUNT
      example: VAULT_ACCOUNT
    OneTimeAddressPeerType:
      type: string
      enum:
        - ONE_TIME_ADDRESS
    PlatformPeerType:
      type: string
      enum:
        - VAULT_ACCOUNT
        - CONNECTED_ACCOUNT
        - FIAT_ACCOUNT
    ExternalAccountType:
      type: string
      enum:
        - EXTERNAL
    ExternalAccountSenderInformation:
      oneOf:
        - $ref: '#/components/schemas/ExternalAccountMobileMoney'
        - $ref: '#/components/schemas/ExternalAccountLocalBankAfrica'
      description: Additional data for the external account, depending on the type used.
    ExternalAccountMobileMoney:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ExternalAccountMobileMoneyType'
        mobilePhoneNumber:
          $ref: '#/components/schemas/MobilePhoneNumber'
        provider:
          $ref: '#/components/schemas/ExternalAccountMobileMoneyProvider'
        email:
          type: string
          format: email
        successRedirectUrl:
          type: string
          description: >-
            URL to redirect the end user back to after they complete the payment
            on the bank/mobile provider page (e.g., the merchant checkout page)
      required:
        - type
        - mobilePhoneNumber
        - provider
        - email
    ExternalAccountLocalBankAfrica:
      type: object
      properties:
        successRedirectUrl:
          type: string
          description: >-
            URL to redirect the end user back to after they complete the payment
            on the bank/mobile provider page (e.g., the merchant checkout page)
    ExternalAccountMobileMoneyType:
      type: string
      enum:
        - MOBILE_MONEY_RAIL
    MobilePhoneNumber:
      type: string
      pattern: ^\+[1-9]\d{1,14}$
      description: Mobile phone number in E.164 format
      example: '+14155551234'
    ExternalAccountMobileMoneyProvider:
      type: string
      enum:
        - M_PESA
        - AIRTEL
        - MTN
        - TIGO
        - ORANGE
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````